#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global         min_qt_version 5.12
%global         min_kf_version 5.66

# uncomment to enable bootstrap mode
#global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kio-fuse
Version:        5.0.0
Release:        %mkrel 1
Summary:        FUSE Interface for KIO
Group:          Graphical desktop/KDE
License:        GPLv3+
URL:            https://invent.kde.org/system/kio-fuse
Source0:        https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  systemd
BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(fuse3)

BuildRequires:  cmake(Qt5Core)       >= %{min_qt_version}
BuildRequires:  cmake(Qt5Test)       >= %{min_qt_version}

BuildRequires:  cmake(KF5KIO)        >= %{min_kf_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{min_kf_version}

%if 0%{?tests}
BuildRequires:  dbus-x11
BuildRequires:  kio-extras
%endif

Requires:       dbus
Requires:       fuse3
Requires:       systemd

%description
KioFuse works by acting as a bridge between KDE's KIO filesystem design
and FUSE.

%files
%license LICENSES/GPL-3.0-or-later.txt
%doc README
%{_libexecdir}/kio-fuse
%{_userunitdir}/kio-fuse.service
%{_kf5_datadir}/dbus-1/services/org.kde.KIOFuse.service
%{_tmpfilesdir}/%{name}-tmpfiles.conf

%prep
%autosetup -p1

%build
%cmake_kf5 -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
%cmake_build

%install
%cmake_install

%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:
%endif


%changelog
* Sat Jan 09 2021 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1670121
- initial package kio-fuse

